Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.portlet.service.credentialvault.credentials
Interface ActiveCredential

All Superinterfaces:
  Credential

All Known Subinterfaces:
  BinaryCredential, HttpBasicAuthCredential, HttpFormBasedAuthCredential, JaasSubjectCredential, JavaMailCredential, LtpaTokenCredential, SiteMinderTokenCredential, SSMTokenCredential, UserPasswordCredential, WebSealTokenCredential

All Known Implementing Classes:
  ActiveCredential, BinaryCredential, HttpBasicAuthCredential, HttpFormBasedAuthCredential, JaasSubjectCredential, JavaMailCredential, LtpaTokenCredential, SiteMinderTokenCredential, SSMTokenCredential, UserPasswordCredential, WebSealTokenCredential

Deprecated. Since 8.5.

    public interface ActiveCredential

extends Credential

An Active Credential hides the user's secret from the portlet and does all the authentication (communication) for the portlet. Some of these credentials might provide `login()` and `logout()` methods (e.g. HttpFormBasedAuthenticationCredential) but some won't because the protocol doesn't support it (e.g. HttpBasicAuthCredential). However, all subclasses will usually provide a `getAuthenticatedConnection` method that will be used by the portlet to get authenticated backend connections to work with.

Since:
  5.1.0.1

Field Summary

Fields inherited from interface com.ibm.portal.portlet.service.credentialvault.credentials.Credential
`KEY_CREDENTIAL_SECRET`

Method Summary
`boolean` | `isActive()` Deprecated. Returns whether a credential is active or passive.

Methods inherited from interface com.ibm.portal.portlet.service.credentialvault.credentials.Credential
`getSecretType, init`

Method Detail

### isActive

    boolean isActive()

  Deprecated.
  Returns whether a credential is active or passive.

  Specified by:
    `isActive` in interface `Credential`
  Returns:
    boolean always returns true
  See Also:
    `ActiveCredential`, `PassiveCredential`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD